Update machine SSH status
curl --request POST \
--url https://levers9.uselevers.com/machines/ssh/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"machineToken": "<string>",
"generation": "<string>",
"status": "<string>",
"publicIp": "<string>",
"hostKeyFingerprint": "<string>",
"error": "<string>",
"listenPort": 123
}
'import requests
url = "https://levers9.uselevers.com/machines/ssh/status"
payload = {
"machineToken": "<string>",
"generation": "<string>",
"status": "<string>",
"publicIp": "<string>",
"hostKeyFingerprint": "<string>",
"error": "<string>",
"listenPort": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
machineToken: '<string>',
generation: '<string>',
status: '<string>',
publicIp: '<string>',
hostKeyFingerprint: '<string>',
error: '<string>',
listenPort: 123
})
};
fetch('https://levers9.uselevers.com/machines/ssh/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/machines/ssh/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'machineToken' => '<string>',
'generation' => '<string>',
'status' => '<string>',
'publicIp' => '<string>',
'hostKeyFingerprint' => '<string>',
'error' => '<string>',
'listenPort' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/machines/ssh/status"
payload := strings.NewReader("{\n \"machineToken\": \"<string>\",\n \"generation\": \"<string>\",\n \"status\": \"<string>\",\n \"publicIp\": \"<string>\",\n \"hostKeyFingerprint\": \"<string>\",\n \"error\": \"<string>\",\n \"listenPort\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/machines/ssh/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"machineToken\": \"<string>\",\n \"generation\": \"<string>\",\n \"status\": \"<string>\",\n \"publicIp\": \"<string>\",\n \"hostKeyFingerprint\": \"<string>\",\n \"error\": \"<string>\",\n \"listenPort\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/machines/ssh/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"machineToken\": \"<string>\",\n \"generation\": \"<string>\",\n \"status\": \"<string>\",\n \"publicIp\": \"<string>\",\n \"hostKeyFingerprint\": \"<string>\",\n \"error\": \"<string>\",\n \"listenPort\": 123\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ControlPlaneService
Update machine SSH status
POST
/
machines
/
ssh
/
status
Update machine SSH status
curl --request POST \
--url https://levers9.uselevers.com/machines/ssh/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"machineToken": "<string>",
"generation": "<string>",
"status": "<string>",
"publicIp": "<string>",
"hostKeyFingerprint": "<string>",
"error": "<string>",
"listenPort": 123
}
'import requests
url = "https://levers9.uselevers.com/machines/ssh/status"
payload = {
"machineToken": "<string>",
"generation": "<string>",
"status": "<string>",
"publicIp": "<string>",
"hostKeyFingerprint": "<string>",
"error": "<string>",
"listenPort": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
machineToken: '<string>',
generation: '<string>',
status: '<string>',
publicIp: '<string>',
hostKeyFingerprint: '<string>',
error: '<string>',
listenPort: 123
})
};
fetch('https://levers9.uselevers.com/machines/ssh/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/machines/ssh/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'machineToken' => '<string>',
'generation' => '<string>',
'status' => '<string>',
'publicIp' => '<string>',
'hostKeyFingerprint' => '<string>',
'error' => '<string>',
'listenPort' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/machines/ssh/status"
payload := strings.NewReader("{\n \"machineToken\": \"<string>\",\n \"generation\": \"<string>\",\n \"status\": \"<string>\",\n \"publicIp\": \"<string>\",\n \"hostKeyFingerprint\": \"<string>\",\n \"error\": \"<string>\",\n \"listenPort\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/machines/ssh/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"machineToken\": \"<string>\",\n \"generation\": \"<string>\",\n \"status\": \"<string>\",\n \"publicIp\": \"<string>\",\n \"hostKeyFingerprint\": \"<string>\",\n \"error\": \"<string>\",\n \"listenPort\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/machines/ssh/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"machineToken\": \"<string>\",\n \"generation\": \"<string>\",\n \"status\": \"<string>\",\n \"publicIp\": \"<string>\",\n \"hostKeyFingerprint\": \"<string>\",\n \"error\": \"<string>\",\n \"listenPort\": 123\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json

